Issue #10657 has been updated by Nobuyoshi Nakada.

Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED

----------------------------------------
Bug #10657: 2.2: Generated binaries misses resource information (MinGW)
https://bugs.ruby-lang.org/issues/10657#change-50671

* Author: Luis Lavena
* Status: Closed
* Priority: Normal
* Assignee: Usaku NAKAMURA
* Category: platform/windows
* Target version: current: 2.2.0
* ruby -v: ruby 2.2.0p1 (2014-12-26) [i386-mingw32]
* Backport: 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: REQUIRED
----------------------------------------
Binaries (ruby.exe and rubyw.exe) generated from ruby_2_2 branch or released package do not include resource (.rc) information.

Both files (ruby.rc and rubyw.rc) were generated, but seems no longer linked into the executable.

Resource information is required for Ruby executables to be properly identified by both users and automatic check tools.



-- 
https://bugs.ruby-lang.org/